<?php

declare (strict_types=1);
namespace ReloadifyScoped\Doctrine\DBAL\Logging;

use ReloadifyScoped\Doctrine\DBAL\Driver as DriverInterface;
use ReloadifyScoped\Doctrine\DBAL\Driver\Middleware as MiddlewareInterface;
use ReloadifyScoped\Psr\Log\LoggerInterface;
final class Middleware implements MiddlewareInterface
{
    private LoggerInterface $logger;
    public function __construct(LoggerInterface $logger)
    {
        $this->logger = $logger;
    }
    public function wrap(DriverInterface $driver) : DriverInterface
    {
        return new Driver($driver, $this->logger);
    }
}
