<?php namespace Tussendoor\Reloadify\Concerns;

trait HasActions {

    /**
     * The action associated with saving user meta from checkout
     *
     * @var string
     */
    public static $saveCheckoutUserMeta = 'reloadify_checkout_enter_user_meta';

    /**
     * The action associated with forgetting the admin recovery
     * 
     * @since 1.4.0
     * @var string
     */
    public static $forgetAdminRecoveryAction = 'reloadify_forget_admin_recovery';

    /**
     * The action associated with forgetting the admin recovery
     * 
     * @since 1.5.0
     * @var string
     */
    public static $saveCartCheckboxConsentAction = 'reloadify_cart_consent_action';

}
