<?php

namespace ReloadifyScoped\Doctrine\DBAL\Event\Listeners;

use ReloadifyScoped\Doctrine\Common\EventSubscriber;
use ReloadifyScoped\Doctrine\DBAL\Event\ConnectionEventArgs;
use ReloadifyScoped\Doctrine\DBAL\Events;
use ReloadifyScoped\Doctrine\DBAL\Exception;
/** @deprecated Use {@see \Doctrine\DBAL\Driver\AbstractSQLiteDriver\Middleware\EnableForeignKeys} instead. */
class SQLiteSessionInit implements EventSubscriber
{
    /**
     * @return void
     *
     * @throws Exception
     */
    public function postConnect(ConnectionEventArgs $args)
    {
        $args->getConnection()->executeStatement('PRAGMA foreign_keys=ON');
    }
    /**
     * {@inheritDoc}
     */
    public function getSubscribedEvents()
    {
        return [Events::postConnect];
    }
}
